GeneralPKIMessage (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.cmp

## Class GeneralPKIMessage

- java.lang.Object
- - org.bouncycastle.cert.cmp.GeneralPKIMessage

-     public class GeneralPKIMessage
      extends java.lang.Object

  General wrapper for a generic PKIMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneralPKIMessage(byte[] encoding)` Create a PKIMessage from the passed in bytes.
    `GeneralPKIMessage(org.bouncycastle.asn1.cmp.PKIMessage pkiMessage)` Wrap a PKIMessage ASN.1 structure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.cmp.PKIBody` | `getBody()`
    `org.bouncycastle.asn1.cmp.PKIHeader` | `getHeader()`
    `boolean` | `hasProtection()` Return true if this message has protection bits on it.
    `org.bouncycastle.asn1.cmp.PKIMessage` | `toASN1Structure()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralPKIMessage

          public GeneralPKIMessage(byte[] encoding)
                            throws java.io.IOException

      Create a PKIMessage from the passed in bytes.
      Parameters:
        `encoding` - BER/DER encoding of the PKIMessage
      Throws:
        `java.io.IOException` - in the event of corrupted data, or an incorrect structure.

    - #### GeneralPKIMessage

          public GeneralPKIMessage(org.bouncycastle.asn1.cmp.PKIMessage pkiMessage)

      Wrap a PKIMessage ASN.1 structure.
      Parameters:
        `pkiMessage` - base PKI message.

  - ### Method Detail

    - #### getHeader

          public org.bouncycastle.asn1.cmp.PKIHeader getHeader()

    - #### getBody

          public org.bouncycastle.asn1.cmp.PKIBody getBody()

    - #### hasProtection

          public boolean hasProtection()

      Return true if this message has protection bits on it. A return value of true indicates the message can be used to construct a ProtectedPKIMessage.
      Returns:
        true if message has protection, false otherwise.

    - #### toASN1Structure

          public org.bouncycastle.asn1.cmp.PKIMessage toASN1Structure()